package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbRiskCheckDailyEntity;
import com.ruoyi.web.v3.model.request.HbRiskCheckDailyPageReq;

/**
 * <p>
 * v3.0 隐患风险点检记录（日次） 服务类
 * </p>
 */
public interface IHbRiskCheckDailyService extends IService<HbRiskCheckDailyEntity> {

    AjaxResult add(HbRiskCheckDailyEntity request);

    AjaxResult edit(HbRiskCheckDailyEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbRiskCheckDailyPageReq request);

    AjaxResult listAll();
}
